#!/usr/bin/env node
"use strict";

var _getArgs = require("./getArgs");
var shell = require('shelljs');
if (_getArgs.start) {
  shell.exec("node ".concat(__dirname, "/scripts/start.js"), {
    async: false,
    stdio: "inherit",
    stderr: "inherit"
  });
}
if (_getArgs.startOnline) {
  shell.exec("cross-env REACT_APP_ONLINE_DEVELOPMENT_MODE=true FAST_REFRESH=false node ".concat(__dirname, "/scripts/start.js"), {
    async: false,
    stdio: "inherit",
    stderr: "inherit"
  });
}
if (_getArgs.plugin || _getArgs.pluginDev) {
  shell.exec("node ".concat(__dirname, "/scripts/predev"), {
    async: false,
    stdio: "inherit",
    stderr: "inherit"
  });
  shell.exec("node ".concat(__dirname, "/scripts/prebuild"), {
    async: false,
    stdio: "inherit",
    stderr: "inherit"
  });
  shell.exec("cross-env REACT_APP_NEEDSOURCEMAP=false node ".concat(__dirname, "/scripts/build.js"), {
    async: false,
    stdio: "inherit",
    stderr: "inherit"
  });
  shell.exec("node ".concat(__dirname, "/scripts/genPlugin.js --source=").concat(_getArgs.pluginDev ? 'true' : 'false'), {
    async: false,
    stdio: "inherit",
    stderr: "inherit"
  });
}