#!/usr/bin/env node
import { start, plugin, startOnline, pluginDev } from "./getArgs";
var shell = require('shelljs');

if(start){
  shell.exec(`node ${__dirname}/scripts/start.js`, {
    async: false,
    stdio: "inherit",
    stderr: "inherit",
  })
}

if(startOnline){
  shell.exec(`cross-env REACT_APP_ONLINE_DEVELOPMENT_MODE=true FAST_REFRESH=false node ${__dirname}/scripts/start.js`, {
    async: false,
    stdio: "inherit",
    stderr: "inherit",
  })
}

if(plugin || pluginDev){
  shell.exec(`node ${__dirname}/scripts/predev`, {
    async: false,
    stdio: "inherit",
    stderr: "inherit",
  })

  shell.exec(`node ${__dirname}/scripts/prebuild`, {
    async: false,
    stdio: "inherit",
    stderr: "inherit",
  })

  shell.exec(`cross-env REACT_APP_NEEDSOURCEMAP=false node ${__dirname}/scripts/build.js`, {
    async: false,
    stdio: "inherit",
    stderr: "inherit",
  })

  shell.exec(`node ${__dirname}/scripts/genPlugin.js --source=${pluginDev?'true':'false'}`, {
    async: false,
    stdio: "inherit",
    stderr: "inherit",
  })
}
